#pragma once

#include <d3d9.h>
#include <d3dx9.h>
#include <dinput.h>

#include "Direct3D.h"
#include "3DObject.h"

class CGameEngine
{
public:
	CGameEngine(void);

	virtual int ProcessMessage( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam )= 0;
	virtual void RenderScene(CDirect3D *d3d) = 0;
public:
	virtual ~CGameEngine(void);
};
